Subject: Re: [lojban] Chomskyan universals and Lojban

From: John Cowan <[email-masked]>
Date: Sat, 18 Aug 2001 19:17:55 -0400 (EDT)

And Rosta scripsit:

> But there is no requirement in the yacc/BNF system that phrases have
> heads. You can have rules of the form X -> Y Z, whereas endocentricity
> would restrict you to XP -> XP YP and XP -> X (YP).

I guess I don't understand what a head is. If you mean that a noun
phrase must have a noun in it, where nouns and noun phrases are capable
of filling the same slot in a sentence, then I point to French, where
nouns cannot serve the purposes of noun phrases (a raw noun without
a determiner is ungrammatical). Can you spell this out a little more?

> > > If you tell me the meaning of _florgendorf_ and its valency (i.e. its
> > > transitivity type) then I can predict with an extremely high degree of
> > > accuracy which semantic argument is expressed by which syntactic
> > > argument.
> > 
> 
> ??? You know the participants and you how many syntactic arguments, but
> you don't know which participant corresponds to which syntactic argument:
> in such a case it is possible, in natlangs, to predict the correspondence
> with much accuracy.

Ah, I understand *your* point now.

> It's probably not worth bothering trying to explain it to me, but I 
> thought it was recursive procedures that needed the stack (so as to 
> remember each loop you're in the middle of).

Yes, absolutely. But if the recursive invocation is at the *end* of
the procedure, then it's a special case with no stack required.
Just jump back to the beginning of the procedure and do it again.
Thus, X <- X0, X <- Y X does not require recursion; it comes
out

loop:
if x0 found, then success;
if y not found, then failure;
repeat

-- 
John Cowan http://www.ccil.org/~cowan [email-masked]
Please leave your values | Check your assumptions. In fact,
at the front desk. | check your assumptions at the door.
--sign in Paris hotel | --Miles Vorkosigan